%define _name gDesklets
%define menu_group Applications/Monitoring/%_name

Name: gdesklets
Version: 0.26.2
Release: alt0.2

Summary: %_name is a desktop applet system for GNOME
License: GPL
Group: Graphical desktop/GNOME
Url: http://%name.gnomedesktop.org

Source: http://www.pycage.de/download/%name/%_name-%version.tar.bz2

Requires: gnome-python2-gconf
Requires: gnome-python2-canvas
Requires: gnome-python2-bonobo
Requires: pyorbit

BuildPreReq: menu-devel

# to avoid rpm-build-python/hasher/apt bug (#4795)
BuildPreReq: python-module-pygnome

# Automatically added by buildreq on Fri Jul 16 2004 (-bi)
BuildRequires: GConf2 ORBit2-devel XFree86-devel gcc-c++ gcc-g77 glib2-devel gnome-vfs2-devel libGConf2-devel libart_lgpl-devel libatk-devel libbonobo2-devel libbonoboui-devel libgdbm-devel libgnome-devel libgnomecanvas-devel libgnomeui-devel libgtk+2-devel libgtop2-devel libpango-devel libstdc++-devel libxml2-devel menu-devel perl-XML-Parser pkgconfig python-base python-dev python-module-pygnome-devel python-module-pygtk-devel python-modules-compiler python-modules-encodings rpm-build-python

%description
gDesklets provides an advanced architecture for desktop applets -- tiny
displays sitting on your desktop in a symbiotic relationship of eye
candy and usefulness.

%package devel
Summary: Development files for %_name
Group: Development/C
Requires: %name = %version-%release

%description devel
This package contains files needed to develop desklets and sensors for %_name.

%define gdesklets_dir %_datadir/%name
%define gdesklets_displays_dir %gdesklets_dir/Displays
%define gdesklets_themes_dir %gdesklets_dir/Themes

%add_python_lib_path %_datadir/%name
# provided by libdesklets/system/_glibtopmodule.so
%add_python_req_skip _glibtop
# provided by utils/_systraymodule.so
%add_python_req_skip _systray

%prep
%setup -q -n %_name-%version
# install *.mo files in proper location
%__subst 's,\(installdir = \)${coredir},\1$(datadir),' locale/Makefile*
# fix path to locale directory
%__subst 's@\(Translator(NAME.lower(), \).*$@\1"/usr/share/locale")@' main/__init__.py

%build
%configure --disable-schemas-install
%make_build

%install
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%make_install DESTDIR=%buildroot install
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

%__mkdir %buildroot{%gdesklets_displays_dir,%gdesklets_themes_dir}

# menu
%__mkdir_p %buildroot%_menudir
%__cat <<__MENU__ > %buildroot%_menudir/%_name
?package(%name): needs="x11" title="%_name" \
longtitle="A desktop applet system for GNOME" \
section="Applications/Monitoring" icon="%name.png"
__MENU__

freedesktop2menu.pl %name "%menu_group" \
    %buildroot%_datadir/applications/%name.desktop \
    %buildroot%_menudir/%name "gnome"

%find_lang --with-gnome %name

%define schemas gdesklets-display-thumbnail

%post
%update_menus
%gconf2_install %schemas

%postun
%clean_menus

%files -f %name.lang
%_bindir/*
%_datadir/applications/*
%_datadir/application-registry/*
%gdesklets_dir
%_datadir/mime-info/*
%_iconsdir/*
%_datadir/pixmaps/*
%_man1dir/*
%_menudir/*
%config %_sysconfdir/gconf/schemas/*
%doc README AUTHORS NEWS ChangeLog

%files devel
%_libdir/pkgconfig/*

%changelog
* Fri Jul 16 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.26.2-alt0.2
- move all desklets to Applications/Monitoring in menu hierarhy.
- use freedesktop2menu.pl to build menu file.
- update buildreqs to fix python dependencies.

* Fri May 21 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.26.2-alt0.1
- 0.26.2

* Fri Feb 27 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.26-alt0.1
- 0.26

* Fri Feb 13 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.25.1-alt0.1
- 0.25.1

* Mon Nov 10 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.24-alt0.1
- First build for Sisyphus.
